> For the complete documentation index, see [llms.txt](https://docs.taigo.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.taigo.xyz/launcher-settings/mail-service.md).

# Mail Service

⚠️ Not all launchers support sending emails. Check the information about the studio representative. Usually launchers support sending emails if the launcher itself provides password recovery

Placeholders for emails:\
{username} - player nickname\
{url} - url to reset the password\
{password} - new user password

Mail Service Settings:\
File: configs/MailService/config.yml:

```yaml
site_url: a link to your website to which the user will be redirected upon successful password reset. You can make a page on the site asking you to check the mailbox again, because an email with a new password will be sent to it
smtp_server: SMTP Server. For example - smtp.gmail.com
smtp_port: SMTP Server Port. Usually - 465 or 587
mail_user: The account of the mail service from which the emails will be sent
mail_password: account password or application password
```

⭐️ You can edit the type of the message. The launcher sends an email in HTML format. Use the placeholder to insert the necessary information

configs/MailService/OnReset.txt - an email asking you to click on the link to change your password. Use {username} and {url}

configs/MailService/NewPassword.txt - an email with a newly generated password. Use {username} and {password}

Email html editor:&#x20;

[Stripo — FREE Email Template Builder: drag-n-drop Html Email Editor](https://stripo.email/)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.taigo.xyz/launcher-settings/mail-service.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
